Bug 11947 - mkpasswd name conflict between shadow-utils and expect
mkpasswd name conflict between shadow-utils and expect
Product: Red Hat Linux
Classification: Retired
Component: shadow-utils (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 2000-06-07 09:56 EDT by Ben Scott
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-06-14 23:06:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ben Scott 2000-06-07 09:56:33 EDT

A utility by the name of "mkpasswd" is present in both the expect (as
/usr/bin/mkpasswd) and shadow-utils (as /usr/sbin/mkpasswd) packages.  This
is confusing and could cause obscure failures in anything depending on
mkpasswd but using a different PATH.

There is also a man page associated with each utility (section 1 for
expect, section 8 for shadow-utils).


$ rpm -qf /usr/bin/mkpasswd 
$ rpm -qf /usr/sbin/mkpasswd 
$ which mkpasswd
$ mkpasswd
$ su -
# which mkpasswd
# mkpasswd
mkpasswd: no DBM database on system - no action performed


mkpasswd from shadow-utils is a system utility, and should not be changed.

mkpasswd from expect is simply an example program, albeit a useful one. 
Renaming it to something like "genpasswd" (generate password) or
"mkpasswd-expect" would allow it to continue to be available.


I see the problem in Red Hat Linux 6.1 and 6.2.  It likely exists in other
releases as well.

I selected "shadow-utils" as the "Component" for this bug report because
"expect" was not listed.  (Yes, I am aware you can create new components.) 
Red Hat may wish to create an "expect" component and attach this bug to it
as well (if you can do that).
Comment 1 Bernhard Rosenkraenzer 2000-06-26 14:16:48 EDT
Thanks, fixed in 7.0.
There is no expect component because expect is not a package by itself:

rpm -qi `rpm -qf /usr/bin/expect` |grep RPM

shows expect is part of the tcltk package (and therefore component).

Note You need to log in before you can comment on or make changes to this bug.